Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jason.stdlib
Class intend

    java.lang.Object
      jason.asSemantics.DefaultInternalAction
          jason.stdlib.intend

All Implemented Interfaces:
  InternalAction, java.io.Serializable

Direct Known Subclasses:
  desire

    public class intend

extends DefaultInternalAction

Internal action: `.intend(I)`.

Description: checks if I is an intention: I is an intention if there is a triggering event `+!I` in any plan within an intention; just note that intentions can be suspended and appear in E, PA, and PI as well.

Example:

- `.intend(go(1,3))`: is true if a plan with triggering event `+!go(1,3)` appears in an intention of the agent.

See Also:
  `desire`, `drop_all_desires`, `drop_all_events`, `drop_all_intentions`, `drop_intention`, `drop_desire`, `succeed_goal`, `fail_goal`, `current_intention`, `suspend`, `suspended`, `resume`, Serialized Form

Constructor Summary
`intend()`

Method Summary
`protected void` | `checkArguments(Term[] args)`
`java.lang.Object` | `execute(TransitionSystem ts, Unifier un, Term[] args)` Executes the internal action.
`int` | `getMaxArgs()`
`int` | `getMinArgs()`
`boolean` | `intends(Circumstance C, Literal l, Unifier un)`

Methods inherited from class jason.asSemantics.DefaultInternalAction
`canBeUsedInContext, prepareArguments, suspendIntention`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### intend

    public intend()

Method Detail

### getMinArgs

    public int getMinArgs()

  Overrides:
    `getMinArgs` in class `DefaultInternalAction`

### getMaxArgs

    public int getMaxArgs()

  Overrides:
    `getMaxArgs` in class `DefaultInternalAction`

### checkArguments

    protected void checkArguments(Term[] args)
                           throws JasonException

  Overrides:
    `checkArguments` in class `DefaultInternalAction`
  Throws:
    `JasonException`

### execute

    public java.lang.Object execute(TransitionSystem ts,
                                    Unifier un,
                                    Term[] args)
                             throws java.lang.Exception

  Description copied from interface: `InternalAction`
  Executes the internal action. It should return a Boolean or an Iterator. A true boolean return means that the IA was successfully executed. An Iterator result means that there is more than one answer for this IA (e.g. see member internal action).

  Specified by:
    `execute` in interface `InternalAction`
  Overrides:
    `execute` in class `DefaultInternalAction`
  Throws:
    `java.lang.Exception`

### intends

    public boolean intends(Circumstance C,
                           Literal l,
                           Unifier un)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD